Skip to main content
Generate statement reports in CSV or PDF format to get a summary of balances and completed transactions on your accounts.
This endpoint requires a person-level API key, available to customers using Equals Money apps. If you’re using a standard API key, use the transaction activity report instead.

Download a statement

POST /v2/statement/download
Use this request to generate a statement CSV or PDF. A statement is a list of balances and completed transactions that occurred on an account over a given period. Find out more about the statement CSV format and the statement PDF format.
The statement is generated asynchronously. You will receive a 202 response immediately. The statement file will be emailed to the email address of the user who authenticated the request.
The endDate for a statement must be at least one day before the date you are making the request. Unlike transaction activity reports, statements cannot include today’s transactions.
You can use optional parameters to filter the transactions included in the statement. For example, use budgetIds to return only transactions associated with a given list of budgets, or currencyCodes to filter by currency.
curl -i -X POST \
  https://api.equalsmoney.com/v2/statement/download \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountId": "F12345",
    "name": "Jane Doe",
    "startDate": "2023-02-15",
    "endDate": "2023-03-30",
    "currencyCodes": "EUR,GBP,USD",
    "budgetIds": [
      "34edaf73-49be-4669-83ee-1b1f8c680d16"
    ],
    "fileFormat": "csv"
  }'

Request body

accountId
string
required
The ID of the account for which you’re downloading the statement.Allowable values: An existing accountId (≤ 36 characters)
name
string
required
The name of the person that you’re sending the statement to. This will appear in the email template.Allowable values: ≤ 256 characters
startDate
string
required
The date from which to generate the statement. Format: YYYY-MM-DD
endDate
string
required
The date until which to generate the statement. This must be at least one day before the date you are making the request. Format: YYYY-MM-DD
currencyCodes
string
The currencies for which you want to retrieve transactions, in ISO 4217 format. Use commas to pass multiple values (e.g., EUR,GBP,USD).
budgetIds
array
The IDs of the budgets for which you want to retrieve transactions. One or more existing budgetIds (36 characters).
fileFormat
string
required
The format of the statement file. Allowable values: csv, pdf

Response

If your request is successful, you’ll receive a 202 response. Once the statement is generated, it will be emailed to the email address of the user who authenticated the request.
Sample response
{
  "message": "accepted"
}
If you need a comprehensive view of all transaction activity (including pending transactions) across your accounts, you can download a transaction activity report in CSV format instead.